Package uk.ac.starlink.topcat.activate

## Class ViewDatalinkActivationType.DatalinkConfigurator

- java.lang.Object
- - uk.ac.starlink.topcat.activate.AbstractActivatorConfigurator
  - - uk.ac.starlink.topcat.activate.UrlColumnConfigurator
    - - uk.ac.starlink.topcat.activate.ViewDatalinkActivationType.DatalinkConfigurator

- All Implemented Interfaces:
    `ActivatorConfigurator`
  Enclosing class:
    ViewDatalinkActivationType

      public static class ViewDatalinkActivationType.DatalinkConfigurator
      extends UrlColumnConfigurator

  Configurator implementation for Datalink.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.topcat.activate.UrlColumnConfigurator

      `UrlColumnConfigurator.LocationColumnActivator, UrlColumnConfigurator.UrlColumnActivator`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Activator` | `createActivator​(uk.ac.starlink.table.ColumnData cdata)` | Creates an activator from a ColumnData giving the URL string.
    `protected java.lang.String` | `getConfigMessage​(uk.ac.starlink.table.ColumnData cdata)` | Returns a config message given that a URL column has been supplied.
    `Safety` | `getSafety()` | Indicates whether an activator created by the current state of this configurator is known to be harmless.
    `ConfigState` | `getState()` | Returns an object that contains the current state of this configurator.
    `void` | `setState​(ConfigState state)` | Restores the state of this object from a given state object.

    - ### Methods inherited from class uk.ac.starlink.topcat.activate.UrlColumnConfigurator

      `decorateOutcomeWithUrl, getActivator, getConfigMessage, getQueryPanel, getTopcatModel, getUrlState, getWindowLabel, selectColumnByUCD, selectColumnByUtype, setLocationLabel, setUrlState`

    - ### Methods inherited from class uk.ac.starlink.topcat.activate.AbstractActivatorConfigurator

      `addActionListener, createDisplayField, createDisplayLabel, getActionForwarder, getPanel, removeActionListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createActivator

          protected Activator createActivator​(uk.ac.starlink.table.ColumnData cdata)

      Description copied from class: `UrlColumnConfigurator`
      Creates an activator from a ColumnData giving the URL string.
      Specified by:
        `createActivator` in class `UrlColumnConfigurator`
      Parameters:
        `cdata` - URL column data, will not be null
      Returns:
        new activator, or null

    - #### getConfigMessage

          protected java.lang.String getConfigMessage​(uk.ac.starlink.table.ColumnData cdata)

      Description copied from class: `UrlColumnConfigurator`
      Returns a config message given that a URL column has been supplied.
      Specified by:
        `getConfigMessage` in class `UrlColumnConfigurator`
      Parameters:
        `cdata` - URL column data, will not be null
      Returns:
        message indicating why activator is not available, or null

    - #### getSafety

          public Safety getSafety()

      Description copied from interface: `ActivatorConfigurator`
      Indicates whether an activator created by the current state of this configurator is known to be harmless.

      Implementations should be cautious; if some slightly adjusted state might be dangerous, false could be returned as well (that's why this method is on ActivatorConfigurator and not Activator itself).

      Returns:
        safety status of the currently configured state

    - #### getState

          public ConfigState getState()

      Description copied from interface: `ActivatorConfigurator`
      Returns an object that contains the current state of this configurator. This includes options selected by the user, but does not include any description of the table on which this configurator is working.
      Returns:
        configuration state

    - #### setState

          public void setState​(ConfigState state)

      Description copied from interface: `ActivatorConfigurator`
      Restores the state of this object from a given state object.
      Parameters:
        `state` - stored state